Bug 1478540 - dialog boxes display fonts incorrectly
dialog boxes display fonts incorrectly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 14:47 EDT by Mike
Modified: 2018-05-29 07:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:54:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of what user is seeing (50.18 KB, image/png)
2017-08-04 14:54 EDT, Mike
no flags Details
Debug log from running Calibre in Debug mode (3.22 KB, text/plain)
2017-08-11 00:37 EDT, Mike
no flags Details

  None (edit)
Description Mike 2017-08-04 14:47:42 EDT
Description of problem:

When running the "Welcome Wizard" in Calibre, it appears that the fonts are being handled improperly


Version-Release number of selected component (if applicable):

calibre-3.1.1-1.fc26.x86_64

nautilus-3.24.2.1-1.fc26.x86_64


How reproducible:

Everytime


Steps to Reproduce:

1. Launch Calibre
2. Once inside Calibre, launch the welcome wizard
3. The welcome wizard will 

Actual results:

Produces what appears to be fonts in the shape of rectangles, making them unable to read.

Expected results:

Font is able to be displayed properly.


Additional info:

Attaching a screenshot to clarify.
Comment 1 Mike 2017-08-04 14:48:57 EDT
So far, I've only been able to replicate this sort of behavior from calibre, I haven't been able to replicate it with `files` (nautilus file manager), or any other programs open dialogs.
Comment 2 Mike 2017-08-04 14:54 EDT
Created attachment 1309152 [details]
Screenshot of what user is seeing

A screenshot, in case reporter didn't explain clear enough what he is seeing.
Comment 3 Mike 2017-08-11 00:37 EDT
Created attachment 1311952 [details]
Debug log from running Calibre in Debug mode

Something is going on with the font detection?
Comment 4 Mike 2017-08-11 16:46:45 EDT
FWIW, I downloaded Calibre from the source website, and ran its installation to install Calibre 3.6.0 (latest current version, as of this post).

Installed it, worked fine, and properly displayed the fonts.
Comment 5 Kevin Fenzi 2017-08-13 23:35:10 EDT
Do you have the liberation-sans-fonts package installed?

'rpm -q liberation-sans-fonts'

should tell you. If not, does installing it resolve the problem?
Comment 6 Mike 2017-08-14 10:37:02 EDT
I do have it installed:  

liberation-sans-fonts-1.07.4-8.fc26.noarch
Comment 7 Fedora End Of Life 2018-05-03 04:11:35 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2018-05-29 07:54:24 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.